Bug 1840173 - Provide telemetry metrics for scheduler configs used
Summary: Provide telemetry metrics for scheduler configs used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.5.0
Assignee: Mike Dame
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-26 14:02 UTC by Maciej Szulik
Modified: 2020-07-13 17:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:41:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-scheduler-operator pull 250 0 None closed Bug 1840173: Add boolean metric to report legacy policy config 2020-06-24 03:21:03 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:41:57 UTC

Description Maciej Szulik 2020-05-26 14:02:37 UTC
Since k8s 1.19 is dropping policy config in favor of component config we need to know how many users we have using those configs to better know the impact of this change in 4.6.

Comment 3 RamaKasturi 2020-05-28 15:26:43 UTC
Verified bug with the payload below and i see things work as expected. Below are the tests that were run to verify this bug.

[ramakasturinarra@dhcp35-60 ~]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2020-05-27-234738   True        False         9h      Cluster version is 4.5.0-0.nightly-2020-05-27-234738

Install 4.5 cluster with the above payload
config map set in scheduler cluster object.
run command oc get route -A and browse through the prometheus URL
And select the parameter cluster_legacy_scheduler_policy and verify that it is shown as below

cluster_legacy_scheduler_policy{endpoint="https",instance="10.129.0.9:8443",job="metrics",namespace="openshift-kube-scheduler-operator",pod="openshift-kube-scheduler-operator-7db8fd5d94-x8zdn",service="metrics"}	0

Now create a configmap and use it with the scheduler cluster object.
Now go to prometheus UI and select the parameter cluster_legacy_scheduler_policy and click on execute.
Verify for the below parameters
cluster_legacy_scheduler_policy{endpoint="https",instance="10.129.0.9:8443",job="metrics",namespace="openshift-kube-scheduler-operator",pod="openshift-kube-scheduler-operator-7db8fd5d94-x8zdn",service="metrics"}	1

Based on the above results moving the bug to verified state.

Comment 4 errata-xmlrpc 2020-07-13 17:41:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.